For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update WordPress core

Update the WordPress core for the specified installation (minor update or a specific version).

Update WordPress core

post

Update the WordPress core for the specified installation (minor update or a specific version).

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

This operation is asynchronous: a successful response only means the update job has been queued.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
minorbooleanOptional

Update the minor version only.

Default: falseExample: false
versionstring · nullableOptional

Update to a specific WordPress core version.

Example: 6.5.0
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/hosting/v1/accounts/{username}/wordpress/{software}/update
POST /api/hosting/v1/accounts/{username}/wordpress/{software}/update HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "minor": false,
  "version": "6.5.0"
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?